Plugins
Create a new plugin
Creates a new plugin with the specified configuration.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
namestring
enabled?boolean
config?object
Empty Object
path?string
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/api/plugins" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"message": "string",
"plugin": {
"name": "my_custom_plugin",
"actualName": "MyCustomPlugin",
"enabled": true,
"config": {
"api_key": "xxx"
},
"isCustom": true,
"path": "/plugins/my_custom_plugin.so",
"status": {
"name": "my_custom_plugin",
"status": "active",
"logs": [
"plugin my_custom_plugin initialized successfully"
],
"types": [
"llm",
"http"
]
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}